import React from "react";
import ReactDOM from "react-dom/client";
import { App } from "./App";
import AppContext from "./context/AppContext";


import "./index.css";
import { QueryClient, QueryClientProvider } from "@tanstack/react-query";
const queryClient = new QueryClient()

ReactDOM.createRoot(document.getElementById("app") as HTMLElement).render(
  <React.StrictMode>
    <QueryClientProvider client={queryClient}>
      <AppContext>
        <App />
      </AppContext>
    </QueryClientProvider>
  </React.StrictMode>,
);
